<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.bonus.base.mapper.CuAwardsControlMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.member.base.CuAwardsControl">
        <id column="PK_ID" property="pkId"/>
        <result column="DEL_FLAG" property="delFlag"/>
        <result column="PK_COUNTRY" property="pkCountry"/>
        <result column="CREATION_TIME" property="creationTime"/>
        <result column="MODIFIED_TIME" property="modifiedTime"/>
        <result column="PK_CREATOR" property="pkCreator"/>
        <result column="PK_MODIFIED" property="pkModified"/>
        <result column="REAL_AWARDS" property="realAwards"/>
        <result column="MENTORING_AWARD" property="mentoringAward"/>
        <result column="DIVIDEND_AWARD" property="dividendAward"/>
        <result column="EXTREME_AWARDS" property="extremeAwards"/>
        <result column="REPLY_EXAM_AWARD" property="replyExamAward"/>
        <result column="DIVVY_EXAM_AWARDS" property="divvyExamAwards"/>
        <result column="PK_MEMBER" property="pkMember"/>
    </resultMap>

</mapper>





